function optAssort = MCAssort( P, revList )
%finds optimal MC assortment
    numProds=length(revList);
    epsilon=0.01;
    P(1,:)=eye(1,numProds);
    
    V_past=revList;
    V_current=zeros(1,numProds);
    
    numIters=100;
    
    for i=1:numIters
        for j=1:numProds
            offer=revList(j);
            noOffer=0;
            for k=1:numProds
               noOffer=noOffer+P(j,k)*V_past(k); 
            end
            
            V_current(j)=max(offer,noOffer);
        
        end
        
        V_past=V_current(:,:);
        
    end
   
    optAssort=zeros(1,numProds);
    optAssort(1)=1;
    for j=2:numProds
       if abs(revList(j)-V_current(j))<epsilon
          optAssort(j)=1; 
       end
        
    end
    

end

